package com.ruoyi.system.domain.project;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 注册企业股东构成对象 bm_company_shareholder
 * 
 * @author ruoyi
 * @date 2021-03-05
 */
public class BmCompanyShareholder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;


    /** 姓名* */
    @Excel(name = "姓名*")
    private String name;

    /** 股权比例* */
    @Excel(name = "股权比例*")
    private String equityRatio;

    /** 身份证号* */
    @Excel(name = "身份证号*")
    private String idcard;

    /** 身份证正面url* */
    @Excel(name = "身份证正面url*")
    private String idcardFront;

    /** 身份证反面url* */
    @Excel(name = "身份证反面url*")
    private String idcardBack;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setIdcard(String idcard) 
    {
        this.idcard = idcard;
    }

    public String getIdcard() 
    {
        return idcard;
    }
    public void setIdcardFront(String idcardFront) 
    {
        this.idcardFront = idcardFront;
    }

    public String getIdcardFront() 
    {
        return idcardFront;
    }
    public void setIdcardBack(String idcardBack) 
    {
        this.idcardBack = idcardBack;
    }

    public String getIdcardBack() 
    {
        return idcardBack;
    }

    public String getEquityRatio() {
        return equityRatio;
    }

    public void setEquityRatio(String equityRatio) {
        this.equityRatio = equityRatio;
    }

    @Override
    public String toString() {
        return "BmCompanyShareholder{" +
                "id=" + id +
                ", bmProjectId=" + bmProjectId +
                ", name='" + name + '\'' +
                ", equityRatio='" + equityRatio + '\'' +
                ", idcard='" + idcard + '\'' +
                ", idcardFront='" + idcardFront + '\'' +
                ", idcardBack='" + idcardBack + '\'' +
                '}';
    }
}
