package com.ruoyi.system.mapper.project;

import com.ruoyi.system.domain.project.BmConstructionPay;
import com.ruoyi.system.domain.vo.BmDeptPlanVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 项目到资
(最少一条记录、合计、回写项目单)Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public interface BmConstructionPayMapper 
{
    /**
     * 查询项目到资
(最少一条记录、合计、回写项目单)
     * 
     * @param id 项目到资
(最少一条记录、合计、回写项目单)ID
     * @return 项目到资
(最少一条记录、合计、回写项目单)
     */
    public BmConstructionPay selectBmConstructionPayById(Long id);

    public BmConstructionPay selectBmConstructionPayByProjectId(Long project);

    /**
     * 查询项目到资
(最少一条记录、合计、回写项目单)列表
     * 
     * @param bmConstructionPay 项目到资
(最少一条记录、合计、回写项目单)
     * @return 项目到资
(最少一条记录、合计、回写项目单)集合
     */
    public List<BmConstructionPay> selectBmConstructionPayList(BmConstructionPay bmConstructionPay);

    /**
     * 新增项目到资
(最少一条记录、合计、回写项目单)
     * 
     * @param bmConstructionPay 项目到资
(最少一条记录、合计、回写项目单)
     * @return 结果
     */
    public int insertBmConstructionPay(BmConstructionPay bmConstructionPay);

    /**
     * 修改项目到资
(最少一条记录、合计、回写项目单)
     * 
     * @param bmConstructionPay 项目到资
(最少一条记录、合计、回写项目单)
     * @return 结果
     */
    public int updateBmConstructionPay(BmConstructionPay bmConstructionPay);

    /**
     * 删除项目到资
(最少一条记录、合计、回写项目单)
     * 
     * @param id 项目到资
(最少一条记录、合计、回写项目单)ID
     * @return 结果
     */
    public int deleteBmConstructionPayById(Long id);

    /**
     * 首页柱状图
     * @param year
     * @return
     */
    public List<BmDeptPlanVo> selectIndexEharts(@Param("year") String year);

    /**
     * 批量删除项目到资
(最少一条记录、合计、回写项目单)
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBmConstructionPayByIds(Long[] ids);
}
