package com.ruoyi.system.service.project;

import com.ruoyi.system.domain.project.BmCompanyShareholder;

import java.util.List;

/**
 * 注册企业股东构成Service接口
 * 
 * @author ruoyi
 * @date 2021-03-05
 */
public interface IBmCompanyShareholderService 
{
    /**
     * 查询注册企业股东构成
     * 
     * @param id 注册企业股东构成ID
     * @return 注册企业股东构成
     */
    public BmCompanyShareholder selectBmCompanyShareholderById(Long id);

    /**
     * 查询注册企业股东构成列表
     * 
     * @param bmCompanyShareholder 注册企业股东构成
     * @return 注册企业股东构成集合
     */
    public List<BmCompanyShareholder> selectBmCompanyShareholderList(BmCompanyShareholder bmCompanyShareholder);

    /**
     * 新增注册企业股东构成
     * 
     * @param bmCompanyShareholder 注册企业股东构成
     * @return 结果
     */
    public int insertBmCompanyShareholder(BmCompanyShareholder bmCompanyShareholder);

    /**
     * 修改注册企业股东构成
     * 
     * @param bmCompanyShareholder 注册企业股东构成
     * @return 结果
     */
    public int updateBmCompanyShareholder(BmCompanyShareholder bmCompanyShareholder);

    /**
     * 批量删除注册企业股东构成
     * 
     * @param ids 需要删除的注册企业股东构成ID
     * @return 结果
     */
    public int deleteBmCompanyShareholderByIds(Long[] ids);

    /**
     * 删除注册企业股东构成信息
     * 
     * @param id 注册企业股东构成ID
     * @return 结果
     */
    public int deleteBmCompanyShareholderById(Long id);
}
