import request from '@/utils/request'

// 查询发改委_进展情况列表
export function listJzqks(query) {
  return request({
    url: '/fgw/jzqk/list',
    method: 'get',
    params: query
  })
}

// 查询发改委_进展情况详细
export function getJzqks(id) {
  return request({
    url: '/fgw/jzqk/' + id,
    method: 'get'
  })
}

// 新增发改委_进展情况
export function addJzqks(data) {
  return request({
    url: '/fgw/jzqk',
    method: 'post',
    data: data
  })
}

// 修改发改委_进展情况
export function updateJzqks(data) {
  return request({
    url: '/fgw/jzqk/put',
    method: 'post',
    data: data
  })
}

// 删除发改委_进展情况
export function delJzqks(id) {
  return request({
    url: '/fgw/jzqk/delete/' + id,
    method: 'get'
  })
}
