import request from '@/utils/request'

// 查询发改委_领导批示列表
export function listLdps(query) {
  return request({
    url: '/fgw/ldps/list',
    method: 'get',
    params: query
  })
}

// 查询发改委_领导批示详细
export function getLdps(id) {
  return request({
    url: '/fgw/ldps/' + id,
    method: 'get'
  })
}

// 新增发改委_领导批示
export function addLdps(data) {
  return request({
    url: '/fgw/ldps',
    method: 'post',
    data: data
  })
}

// 修改发改委_领导批示
export function updateLdps(data) {
  return request({
    url: '/fgw/ldps/put',
    method: 'post',
    data: data
  })
}

// 删除发改委_领导批示
export function delLdps(id) {
  return request({
    url: '/fgw/ldps/delete',
    method: 'get',
    params: id
  })
}
