import request from '@/utils/request'

// 查询项目投产列表
export function listProduct(query) {
  return request({
    url: '/projectProduct/product/list',
    method: 'get',
    params: query
  })
}

// 查询项目投产详细
export function getProduct(query) {
  return request({
    url: '/projectV2/tcxx/' + query ,
    method: 'get'
  })
}
export function getProducts(query) {
  return request({
    url: '/projectV2/tcxx/queryYj/' + query ,
    method: 'get'
  })
}
// 新增项目投产
export function addProduct(data) {
  return request({
    url: '/projectV2/tcxx',
    method: 'post',
    data: data
  })
}

// 修改项目投产
export function updateProduct(data) {
  return request({
    url: '/projectV2/tcxx/put',
    method: 'post',
    data: data
  })
}

// 新增项目投产
export function addProducts(data) {
  return request({
    url: '/projectV2/tcxx/addYj',
    method: 'post',
    data: data
  })
}

// 修改项目投产
export function updateProducts(data) {
  return request({
    url: '/projectV2/tcxx/editYj',
    method: 'post',
    data: data
  })
}
// 删除项目投产
export function delProduct(id) {
  return request({
    url: '/projectProduct/product/delete/' + id,
    method: 'get'
  })
}

// 导出项目投产
export function exportProduct(query) {
  return request({
    url: '/projectProduct/product/export',
    method: 'get',
    params: query
  })
}
