import request from '@/utils/request'

// 审核/提交项目
export function setExamine(data) {
  return request({
    url: '/bmProject/project/examine',
    method: 'post',
    data: data
  })
}

// 领导批示
export function addps(data) {
  return request({
    url: '/projectV2/ldps',
    method: 'post',
    data: data
  })
}
export function listConfigfieu(query) {
  return request({
    url: '/system/dept/fgw/treeselect',
    params: query
  })
}
export function listConfigfieus(query) {
  return request({
    url: '/system/dept/treeselect',
    params: query
  })
}

// listConfigfieus
// 历史指派
export function lshzhip(query) {
  return request({
    url: '/projectV2/dept/list',
    method: 'get',
    params: query
  })
}

export function listConfigfieujind(query) {
  return request({
    url: '/projectV2/shyj/list',
    method: 'get',
    params: query
  })
}

// 确认审核
export function setPass(data) {
  return request({
    url: '/projectV2/common/xssh',
    method: 'post',
    data: data
  })
}
export function setPasscj(data) {
  return request({
    url: '/projectV2/common/xsshCjd',
    method: 'post',
    data: data
  })
}
export function setPassys(data) {
  return request({
    url: '/projectV2/common/xsshYsbm',
    method: 'post',
    data: data
  })
}

// 撤销审核
export function setBack(data) {
  return request({
    url: '/projectV2/common/xsch',
    method: 'post',
    data: data
  })
}

export function setBackcj(data) {
  return request({
    url: '/projectV2/common/xsshCjd',
    method: 'post',
    data: data
  })
}
// 驳回项目
export function setReject(data) {
  return request({
    url: '/projectV2/common/xssh',
    method: 'post',
    data: data
  })
}

// 项目管理-线索添加
export function listProject(data) {
  return request({
    url: '/projectV2/jzqk',
    method: 'post',
    data: data
  })
}

// 查询项目-线索信息列表
export function listInfo(query) {
  return request({
    url: '/projectV2/sbbzb/list',
    method: 'get',
    params: query
  })
}

// 查询项目-线索信息详细
export function getInfo(id) {
  return request({
    url: '/projectInfo/info/' + id,
    method: 'get'
  })
}

// 新增项目-线索信息
export function addInfo(data) {
  return request({
    url: '/projectV2/common/xszp',
    method: 'post',
    data: data
  })
}

export function addInfod(data) {
  return request({
    url: '/projectV2/sbbzb/meet',
    method: 'post',
    data: data
  })
}

export function addInfozc(data) {
  return request({
    url: '/projectV2/common/xszc',
    method: 'post',
    data: data
  })
}


// 修改项目-线索信息
export function updateInfo(data) {
  return request({
    url: '/projectInfo/info',
    method: 'put',
    data: data
  })
}

// 删除项目-线索信息
export function delInfo(data) {
  return request({
    url: '/projectV2/common/xszc',
    method: 'post',
    data: data
  })
}

export function delInfops(query) {
  return request({
    url: '/projectV2/ldps/delete',
    method: 'get',
    params: query
  })
}


// 导出项目-线索信息
export function exportInfo(query) {
  return request({
    url: '/projectV2/sbbzb/export',
    method: 'get',
    params: query
  })
}
// 批示
export function listConfigxmps(query) {
  return request({
    url: '/projectV2/ldps/list',
    method: 'get',
    params: query
  })
}

// 到处
export function exportf(data) {
  return request({
    url: '/projectV2/sbbzb/export',
    method: 'post',
    data: data
  })
}
