import request from '@/utils/request'

// 查询招商引资_督办单列表
export function listDbd(query) {
  return request({
    url: '/projectV2/dbd/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_督办单详细
export function getDbd(id) {
  return request({
    url: '/projectV2/dbd/' + id,
    method: 'get'
  })
}

// 新增招商引资_督办单
export function addDbd(data) {
  return request({
    url: '/projectV2/dbd',
    method: 'post',
    data: data
  })
}

// 修改招商引资_督办单
export function updateDbd(data) {
  return request({
    url: '/projectV2/dbd/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_督办单
export function delDbd(id) {
  return request({
    url: '/projectV2/dbd/delete/' + id,
    method: 'get'
  })
}
