import request from '@/utils/request'

// 查询参数列表
export function listConfig(query) {
  return request({
    url: '/system/config/list',
    method: 'get',
    params: query
  })
}
export function xmbh(query) {
  return request({
    url: '/projectV2/common/xmbh',
    method: 'get',
    params: query
  })
  }



export function listConfigfieu(query) {
  return request({
    url: '/system/dept/treeselect',
    method: 'get',
    params: query
  })
}

// 查询在谈线索信息
export function listConfigtwo(query) {
  return request({
    url: '/projectV2/sbbzb/' + query,
    method: 'get'
    // params:
  })
}

export function listConfigtwos(query) {
  return request({
    url: '/projectV2/sbbzb/' + query,
    method: 'get'
    // params:
  })
}

// 查询在企业名称
export function listConfigname(query) {
  return request({
    url: '/projectV2/sbbzb/qichachaSearch/' +query,
    method: 'get',
    // params:query
  })
}



export function listConfigintegrationsieju(query) {
  return request({
    url: '/constructionEntry/entry/' + query,
    method: 'get'
    // params:query
  })
}

export function listConfigthert(query) {
  return request({
    url: '/projectV2/investor/list',
    method: 'get',
    params:query
  })
}
export function listConfigfour(query) {
  return request({
    url: '/projectV2/persion/list',
    method: 'get',
    params:query
  })
}
//字典
export function listConfigther(query) {
  return request({
    url: '/system/dict/data/type/project_status',
    method: 'get'
    // params:
  })
}
export function listConfigtheroie(query) {
  return request({
    url: '/projectV2/sbbzb/' + query,
    method: 'get'
    // params:
  })
}
export function listConfigfive(query) {
  return request({
    url: '/projectV2/kgxx/' +query,
    method: 'get'
    // params:
  })
}

export function listConfigfives(query) {
  return request({
    url: '/projectV2/kgxx/queryYj/' +query,
    method: 'get'
    // params:
  })
}
export function listConfigsix(query) {
  return request({
    url: '/projectV2/rate/list',
    method: 'get',
    params:query
  })
}
export function listConfigsixs(query) {
  return request({
    url: '/projectV2/rate/listYj',
    method: 'get',
    params:query
  })
}
export function listConfigserve(query) {
  return request({
    url: '/constructionEq/constructionEq/list',
    method: 'get',
    params:query
  })
}

export function listConfigfunding(query) {
  return request({
    url: '/constructionPay/pay/list',
    method: 'get',
    params:query
  })
}

export function listConfigarrival(data) {
  return request({
    url: '/constructionPay/pay/payForMoneyALL',
    method: 'post',
    data: data
  })
}

export function listConfigintegration(data) {
  return request({
    url: '/constructionPayInfo/payInfo/' + data,
    method: 'get'
    // data: data
  })
}
export function listConfigintegrationsr(data) {
  return request({
    url: '/bmProject/project/' + data,
    method: 'get'
    // data: data
  })
}
// 查询参数详细
export function getConfig(configId) {
  return request({
    url: '/projectV2/investor/' + configId,
    method: 'get'
  })
}

// 根据参数键名查询参数值
export function getConfigKey(configKey) {
  return request({
    url: '/system/config/configKey/' + configKey,
    method: 'get'
  })
}

export function getConfigKeytwo(configId) {
  return request({
    url: '/projectV2/persion/' +  configId,
    method: 'get'
  })
}

// 新增参数配置
export function addConfig(data) {
  return request({
    url: '/projectV2/investor',
    method: 'post',
    data: data
  })
}


export function addConfigalking (data) {
  return request({
    url: '/projectV2/sbbzb',
    method: 'post',
    data: data
  })
}


// export function addConfigalking (data) {
//   return request({
//     url: '/projectInfo/info',
//     method: 'post',
//     data: data
//   })
// }


export function addConfigbout (data) {
  return request({
    url: '/projectV2/common/xssh',
    method: 'post',
    data: data
  })
}


export function addConfigboutty (data) {
  return request({
    url: '/bmProject/project/examine',
    method: 'post',
    data: data
  })
}



export function addConfigtwo(data) {
  return request({
    url: '/projectV2/persion',
    method: 'post',
    data: data
  })
}
export function addConfigther(data) {
  return request({
    url: '/projectV2/rate',
    method: 'post',
    data: data
  })
}

export function addConfigthers(data) {
  return request({
    url: '/projectV2/rate/addYj',
    method: 'post',
    data: data
  })
}

export function addConfigtherction(data) {
  return request({
    url: '/projectConstruction/construction',
    method: 'post',
    data: data
  })
}
export function addConfigfour(data) {
  return request({
    url: '/constructionEq/constructionEq',
    method: 'post',
    data: data
  })
}
export function addConfigfiv(data) {
  return request({
    url: '/constructionPay/pay',
    method: 'post',
    data: data
  })
}
export function addConfigsix(data) {
  return request({
    url: '/constructionPayInfo/payInfo',
    method: 'post',
    data: data
  })
}
export function addConfigsixde(data) {
  return request({
    url: '/projectV2/kgxx',
    method: 'post',
    data: data
  })
}
export function addConfigsixdes(data) {
  return request({
    url: '/projectV2/kgxx/addYj',
    method: 'post',
    data: data
  })
}

// 修改参数配置
export function updateConfig(data) {
  return request({
    url: '/projectV2/investor/put',
    method: 'post',
    data: data
  })
}
export function updateConfigalking(data) {
  return request({
    url: '/projectV2/sbbzb/put',
    method: 'post',
    data: data
  })
}
export function updateConfigatruction(data) {
  return request({
    url: '/projectConstruction/construction',
    method: 'put',
    data: data
  })
}
export function updateConfigntegration(data) {
  return request({
    url: '/constructionPayInfo/payInfo',
    method: 'put',
    data: data
  })
}
export function updateConfigntegrationde(data) {
  return request({
    url: '/projectV2/kgxx/put',
    method: 'post',
    data: data
  })
}
export function updateConfigntegrationdessh(data) {
  return request({
    url: '/projectV2/kgxx/putKg',
    method: 'post',
    data: data
  })
}

export function updateConfigntegrationdesshtc(data) {
  return request({
    url: '/projectV2/kgxx/put/editYjKg',
    method: 'post',
    data: data
  })
}


export function updateConfigntegrationdes(data) {
  return request({
    url: '/projectV2/kgxx/put/editYj',
    method: 'post',
    data: data
  })
}
export function updateConfigtwo(data) {
  return request({
    url: '/projectV2/persion/put',
    method: 'post',
    data: data
  })
}

// 删除参数配置
export function delConfig(configKey) {
  return request({
    url: '/projectV2/investor/delete/' + configKey,
    method: 'get'

  })
}
export function delConfigtwo(configKey) {
  return request({
    url: '/projectV2/persion/delete/' +  configKey,
    method: 'get'
  })
}
export function delConfigther(query) {
  return request({
    url: '/projectV2/rate/delete/' + query,
    method: 'get'
  })
}
export function delConfigthers(query) {
  return request({
    url: '/projectV2/rate/deleteYj/' + query,
    method: 'get'
  })
}
export function delConfigfour(configId) {
  return request({
    url: '/constructionEq/constructionEq/' + configId,
    method: 'delete'
  })
}
export function delConfigfive(configId) {
  return request({
    url: '/constructionPay/pay/' + configId,
    method: 'delete'
  })
}
// 清理参数缓存
export function clearCache() {
  return request({
    url: '/system/config/clearCache',
    method: 'delete'
  })
}

// 导出参数
export function exportConfig(query) {
  return request({
    url: '/system/config/export',
    method: 'get',
    params: query
  })
}
