import request from '@/utils/request'

// 查询招商引资_审核期限_配置列表
export function listPz(query) {
  return request({
    url: '/system/pz/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_审核期限_配置详细
export function getPz(id) {
  return request({
    url: '/system/pz/' + id,
    method: 'get'
  })
}

// 新增招商引资_审核期限_配置
export function addPz(data) {
  return request({
    url: '/system/pz',
    method: 'post',
    data: data
  })
}

// 修改招商引资_审核期限_配置
export function updatePz(data) {
  return request({
    url: '/system/pz/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_审核期限_配置
export function delPz(id) {
  return request({
    url: '/system/pz/delete/' + id,
    method: 'get'
  })
}
