import request from '@/utils/request'

// 查询招商引资_情况月统计列表
export function listQktj(query) {
  return request({
    url: '/system/qktj/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_情况月统计详细
export function getQktj(id) {
  return request({
    url: '/system/qktj/' + id,
    method: 'get'
  })
}

// 新增招商引资_情况月统计
export function addQktj(data) {
  return request({
    url: '/system/qktj',
    method: 'post',
    data: data
  })
}

// 修改招商引资_情况月统计
export function updateQktj(data) {
  return request({
    url: '/system/qktj/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_情况月统计
export function delQktj(id) {
  return request({
    url: '/system/qktj/delete/' + id,
    method: 'get'
  })
}
