import request from '@/utils/request'

// 查询轮播图附件列表
export function listRotograph(query) {
  return request({
    url: '/system/rotograph/list',
    method: 'get',
    params: query
  })
}

// 查询轮播图附件详细
export function getRotograph(id) {
  return request({
    url: '/system/rotograph/' + id,
    method: 'get'
  })
}

// 新增轮播图附件
export function addRotograph(data) {
  return request({
    url: '/system/rotograph',
    method: 'post',
    data: data
  })
}

// 修改轮播图附件
export function updateRotograph(data) {
  return request({
    url: '/system/rotograph/put',
    method: 'post',
    data: data
  })
}

// 删除轮播图附件
export function delRotograph(id) {
  return request({
    url: '/system/rotograph/delete/' + id,
    method: 'get'
  })
}
