import request from '@/utils/request'

// 查询招商引资_外出招商列表
export function listWczs(query) {
  return request({
    url: '/projectV2/wczs/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_外出招商详细
export function getWczs(id) {
  return request({
    url: '/projectV2/wczs/' + id,
    method: 'get'
  })
}

// 新增招商引资_外出招商
export function addWczs(data) {
  return request({
    url: '/projectV2/wczs',
    method: 'post',
    data: data
  })
}

// 修改招商引资_外出招商
export function updateWczs(data) {
  return request({
    url: '/projectV2/wczs/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_外出招商
export function delWczs(id) {
  return request({
    url: '/projectV2/wczs/delete/' + id,
    method: 'get'
  })
}
