import request from '@/utils/request'

// 查询招商引资_审核期限_项目列表
export function listXm(query) {
  return request({
    url: '/system/xm/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_审核期限_项目详细
export function getXm(id) {
  return request({
    url: '/system/xm/' + id,
    method: 'get'
  })
}

// 新增招商引资_审核期限_项目
export function addXm(data) {
  return request({
    url: '/system/xm',
    method: 'post',
    data: data
  })
}

// 修改招商引资_审核期限_项目
export function updateXm(data) {
  return request({
    url: '/system/xm/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_审核期限_项目
export function delXm(id) {
  return request({
    url: '/system/xm/delete/' + id,
    method: 'get'
  })
}
