package com.ruoyi.system.mapper.project;

import com.ruoyi.system.domain.project.BmConstructionEq;

import java.util.List;

/**
 * 项目设备安装
(最少一条记录)Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public interface BmConstructionEqMapper 
{
    /**
     * 查询项目设备安装
(最少一条记录)
     * 
     * @param id 项目设备安装
(最少一条记录)ID
     * @return 项目设备安装
(最少一条记录)
     */
    public BmConstructionEq selectBmConstructionEqById(Long id);

    public BmConstructionEq selectBmConstructionEqByProjectId(Long projectId);

    /**
     * 查询项目设备安装
(最少一条记录)列表
     * 
     * @param bmConstructionEq 项目设备安装
(最少一条记录)
     * @return 项目设备安装
(最少一条记录)集合
     */
    public List<BmConstructionEq> selectBmConstructionEqList(BmConstructionEq bmConstructionEq);

    /**
     * 新增项目设备安装
(最少一条记录)
     * 
     * @param bmConstructionEq 项目设备安装
(最少一条记录)
     * @return 结果
     */
    public int insertBmConstructionEq(BmConstructionEq bmConstructionEq);

    /**
     * 修改项目设备安装
(最少一条记录)
     * 
     * @param bmConstructionEq 项目设备安装
(最少一条记录)
     * @return 结果
     */
    public int updateBmConstructionEq(BmConstructionEq bmConstructionEq);

    /**
     * 删除项目设备安装
(最少一条记录)
     * 
     * @param id 项目设备安装
(最少一条记录)ID
     * @return 结果
     */
    public int deleteBmConstructionEqById(Long id);

    /**
     * 批量删除项目设备安装
(最少一条记录)
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBmConstructionEqByIds(Long[] ids);
}
