package com.ruoyi.system.mapper.project;

import com.ruoyi.system.domain.project.BmProjectShareholder;

import java.util.List;

/**
 * 签约信息-添加股东构成Mapper接口
 * 
 * @author ruoyi
 * @date 2021-12-20
 */
public interface BmProjectShareholderMapper 
{
    /**
     * 查询签约信息-添加股东构成
     * 
     * @param id 签约信息-添加股东构成ID
     * @return 签约信息-添加股东构成
     */
    public BmProjectShareholder selectBmProjectShareholderById(Long id);

    /**
     * 查询签约信息-添加股东构成列表
     * 
     * @param bmProjectShareholder 签约信息-添加股东构成
     * @return 签约信息-添加股东构成集合
     */
    public List<BmProjectShareholder> selectBmProjectShareholderList(BmProjectShareholder bmProjectShareholder);

    /**
     * 新增签约信息-添加股东构成
     * 
     * @param bmProjectShareholder 签约信息-添加股东构成
     * @return 结果
     */
    public int insertBmProjectShareholder(BmProjectShareholder bmProjectShareholder);

    /**
     * 修改签约信息-添加股东构成
     * 
     * @param bmProjectShareholder 签约信息-添加股东构成
     * @return 结果
     */
    public int updateBmProjectShareholder(BmProjectShareholder bmProjectShareholder);

    /**
     * 删除签约信息-添加股东构成
     * 
     * @param id 签约信息-添加股东构成ID
     * @return 结果
     */
    public int deleteBmProjectShareholderById(Long id);

    /**
     * 批量删除签约信息-添加股东构成
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBmProjectShareholderByIds(Long[] ids);
}
