package com.ruoyi.system.service.project;

import com.ruoyi.system.domain.project.BmConstructionEntry;

import java.util.List;


/**
 * 项目入规
(跟项目一对一)Service接口
 * 
 * @author ruoyi
 * @date 2021-12-20
 */
public interface IBmConstructionEntryService 
{
    /**
     * 查询项目入规
(跟项目一对一)
     * 
     * @param id 项目入规
(跟项目一对一)ID
     * @return 项目入规
(跟项目一对一)
     */
    public BmConstructionEntry selectBmConstructionEntryById(Long id);

    /**
     * 查询项目入规
(跟项目一对一)列表
     * 
     * @param bmConstructionEntry 项目入规
(跟项目一对一)
     * @return 项目入规
(跟项目一对一)集合
     */
    public List<BmConstructionEntry> selectBmConstructionEntryList(BmConstructionEntry bmConstructionEntry);

    /**
     * 新增项目入规
(跟项目一对一)
     * 
     * @param bmConstructionEntry 项目入规
(跟项目一对一)
     * @return 结果
     */
    public int insertBmConstructionEntry(BmConstructionEntry bmConstructionEntry);

    /**
     * 修改项目入规
(跟项目一对一)
     * 
     * @param bmConstructionEntry 项目入规
(跟项目一对一)
     * @return 结果
     */
    public int updateBmConstructionEntry(BmConstructionEntry bmConstructionEntry);

    /**
     * 批量删除项目入规
(跟项目一对一)
     * 
     * @param ids 需要删除的项目入规
(跟项目一对一)ID
     * @return 结果
     */
    public int deleteBmConstructionEntryByIds(Long[] ids);

    /**
     * 删除项目入规
(跟项目一对一)信息
     * 
     * @param id 项目入规
(跟项目一对一)ID
     * @return 结果
     */
    public int deleteBmConstructionEntryById(Long id);
}
