import request from '@/utils/request'

// 查询发改委_督办单列表
export function listDbd(query) {
  return request({
    url: '/fgw/jdap/list',
    method: 'get',
    params: query
  })
}

// 查询发改委_督办单详细
export function getDbd(id) {
  return request({
    url: '/fgw/jdap/' + id,
    method: 'get'
  })
}

// 新增发改委_督办单
export function addDbd(data) {
  return request({
    url: '/fgw/jdap',
    method: 'post',
    data: data
  })
}

// 修改发改委_督办单
export function updateDbd(data) {
  return request({
    url: '/fgw/jdap/put',
    method: 'post',
    data: data
  })
}

// 删除发改委_督办单
export function delDbd(id) {
  return request({
    url: '/fgw/jdap/delete/' + id,
    method: 'get'
  })
}

export function shyj(query) {
  return request({
    url: '/fgw/jdap/jdsh',
    method: 'get',
    params: query
  })
}

export function dbdcb(id) {
  return request({
    url: '/fgw/jdap/cb/' + id,
    method: 'get'
  })
}
