import request from '@/utils/request'

// 查询发改委_审核意见列表
export function listShyj(query) {
  return request({
    url: '/fgw/shyj/list',
    method: 'get',
    params: query
  })
}

// 查询发改委_审核意见详细
export function getShyj(id) {
  return request({
    url: '/fgw/shyj/' + id,
    method: 'get'
  })
}

// 新增发改委_审核意见
export function addShyj(data) {
  return request({
    url: '/fgw/common/xmsh',
    method: 'post',
    data: data
  })
}

export function addShyjqq(data) {
  return request({
    url: '/fgw/common/sxsh',
    method: 'post',
    data: data
  })
}
export function addShyjz(data) {
  return request({
    url: '/fgw/common/jzqksh',
    method: 'post',
    data: data
  })
}


export function addShyjkgjs(data) {
  return request({
    url: '/fgw/common/jssh',
    method: 'post',
    data: data
  })
}
export function addShyjg(data) {
  return request({
    url: '/fgw/common/jgsh',
    method: 'post',
    data: data
  })
}

export function jgshq(data) {
  return request({
    url: '/fgw/common/jgsq',
    method: 'post',
    data: data
  })
}




// 修改发改委_审核意见
export function updateShyj(data) {
  return request({
    url: '/fgw/shyj/put',
    method: 'post',
    data: data
  })
}

// 删除发改委_审核意见
export function delShyj(id) {
  return request({
    url: '/fgw/shyj/delete/' + id,
    method: 'get'
  })
}
