import request from '@/utils/request'

// 查询发改委_申报_主列表
export function listXmsb(query) {
  return request({
    url: '/fgw/xmsb/xmyj/list',
    method: 'get',
    params: query
  })
}

// 查询发改委_申报_主详细
export function getXmsb(id) {
  return request({
    url: '/fgw/xmsb/' + id,
    method: 'get'
  })
}

// 新增发改委_申报_主
export function addXmsb(data) {
  return request({
    url: '/fgw/xmsb',
    method: 'post',
    data: data
  })
}

// 修改发改委_申报_主
export function updateXmsb(data) {
  return request({
    url: '/fgw/xmsb/put',
    method: 'post',
    data: data
  })
}

// 删除发改委_申报_主
export function delXmsb(id) {
  return request({
    url: '/fgw/xmsb/delete/' + id,
    method: 'get'
  })
}
