import request from '@/utils/request'

// 查询发改委_预警配置列表
export function listYjpz(query) {
  return request({
    url: '/fgw/yjpz/list',
    method: 'get',
    params: query
  })
}

// 查询发改委_预警配置详细
export function getYjpz(id) {
  return request({
    url: '/fgw/yjpz/' + id,
    method: 'get'
  })
}

// 新增发改委_预警配置
export function addYjpz(data) {
  return request({
    url: '/fgw/yjpz',
    method: 'post',
    data: data
  })
}

// 修改发改委_预警配置
export function updateYjpz(data) {
  return request({
    url: '/fgw/yjpz/put',
    method: 'post',
    data: data
  })
}

// 删除发改委_预警配置
export function delYjpz(id) {
  return request({
    url: '/fgw/yjpz/delete/' + id,
    method: 'get'
  })
}
