import request  from '@/utils/request'

// 首页-柱状图
export function getIndexEharts(query) {
  return request({
    url: '/constructionPay/pay/indexEharts',
    method: 'get',
    params: query
  })
}
// 获取用户详细信息
export function toBeReviewedList() {
  return request({
    url: '/bmProject/project/toBeReviewedList',
    method: 'get'
  })
}
// 审核/提交
export function setExamine(data) {
  return request({
    url: '/bmProject/project/examine',
    method: 'post',
    data: data
  })
}

// 驳回项目
export function setReject() {
  return request({
    url: '/bmProject/project/reject',
    method: 'post'
  })
}

// 首页-单位榜单-市直
export function getUnitAmountList() {
  return request({
    url: '/deptPlan/plan/unitList',
    method: 'post'
  })
}
// 首页-单位榜单-两区及乡镇
export function getUnitList(query) {
  return request({
    url: '/projectV2/ts/list',
    method: 'get',
    params: query
  })
}

export function fcyjcb(data) {
  return request({
    url: '/fgw/jdap/sycb',
    method: 'post',
    data: data
  })
}

// ()

// 首页-线索数目
export function getUnitListNuber(data) {
  return request({
    url: '/projectV2/common/census',
    method: 'post',
    data: data
  })
}
export function listleida(data) {
  return request({
    url: '/projectV2/common/censusXy/' + data ,
    method: 'get'
  })
}
export function getxingm(data) {
  return request({
    url: '/fgw/common/sbAndJdNum',
    method: 'post',
    data: data
  })
}
export function getfgwcb(data) {
  return request({
    url: '/fgw/common/hbjd',
    method: 'post',
    data: data
  })
}


//
