import request from '@/utils/request'

// 查询招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)列表
export function listJzqk(query) {
  return request({
    url: '/projectV2/jzqk/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)详细
export function getJzqk(id) {
  return request({
    url: '/projectV2/jzqk/' + id,
    method: 'get'
  })
}

// 新增招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
export function addJzqk(data) {
  return request({
    url: '/projectV2/jzqk',
    method: 'post',
    data: data
  })
}

// 修改招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
export function updateJzqk(data) {
  return request({
    url: '/projectV2/jzqk/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
export function delJzqk(id) {
  return request({
    url: '/projectV2/jzqk/delete/' + id,
    method: 'get'
  })
}
