import request from '@/utils/request'

// 查询省库产业列表
export function listSkcy(query) {
  return request({
    url: '/projectV2/skcy/list',
    method: 'get',
    params: query
  })
}

// 查询省库产业详细
export function getSkcy(skcyId) {
  return request({
    url: '/projectV2/skcy/' + skcyId,
    method: 'get'
  })
}

// 新增省库产业
export function addSkcy(data) {
  return request({
    url: '/projectV2/skcy',
    method: 'post',
    data: data
  })
}

// 修改省库产业
export function updateSkcy(data) {
  return request({
    url: '/projectV2/skcy/put',
    method: 'post',
    data: data
  })
}

// 删除省库产业
export function delSkcy(skcyId) {
  return request({
    url: '/projectV2/skcy/delete/' + skcyId,
    method: 'get'
  })
}
