import request from '@/utils/request'

// 查询招商引资_省库项目列表
export function listSkxm(query) {
  return request({
    url: '/projectV2/skxm/list',
    method: 'get',
    params: query
  })
}

export function getarreList(query) {
  return request({
    url: '/projectV2/common/area/' + query ,
    method: 'get',

  })
}

// 查询招商引资_省库项目详细
export function getSkxm(id) {
  return request({
    url: '/projectV2/skxm/' + id,
    method: 'get'
  })
}

// 新增招商引资_省库项目
export function addSkxm(data) {
  return request({
    url: '/projectV2/skxm',
    method: 'post',
    data: data
  })
}

// 修改招商引资_省库项目
export function updateSkxm(data) {
  return request({
    url: '/projectV2/skxm/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_省库项目
export function delSkxm(id) {
  return request({
    url: '/projectV2/skxm/delete/' + id,
    method: 'get'
  })
}
export function addConfigbout(data) {
  return request({
    url: '/projectV2/common/sksh',
    method: 'post',
    data: data
  })
}
// 新增到资金额
export function dzje(data) {
  return request({
    url: '/projectV2/dzje',
    method: 'post',
    data: data
  })
}
// 查询到资金额
// 查询招商引资_省库项目_到资金额列表
export function listDzje(query) {
  return request({
    url: '/projectV2/dzje/list',
    method: 'get',
    params: query
  })
}
// 删除招商引资_省库项目_到资金额
export function delDzje(id) {
  return request({
    url: '/projectV2/dzje/delete' ,
    method: 'get',
     params: id
  })
}
