import request from '@/utils/request'

// 查询招商引资_对接客商列表
export function listDjks(query) {
  return request({
    url: '/projectV2/djks/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_对接客商详细
export function getDjks(id) {
  return request({
    url: '/projectV2/djks/' + id,
    method: 'get'
  })
}

// 新增招商引资_对接客商
export function addDjks(data) {
  return request({
    url: '/projectV2/djks',
    method: 'post',
    data: data
  })
}

// 修改招商引资_对接客商
export function updateDjks(data) {
  return request({
    url: '/projectV2/djks/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_对接客商
export function delDjks(id) {
  return request({
    url: '/projectV2/djks/delete/' + id,
    method: 'get'
  })
}
